# zig-stm32l476

This is a "bare-metal" [Zig](https://ziglang.org/) project for the NUCLEO-L476RG development board that I'm using to both build up some Zig skills and to tinker with embedded HAL/OS design.

Run `zig build` to create an ELF file at `zig-out/bin/stm32`. The `upload.sh` script creates a hex version of the binary and tries to upload it via [OpenOCD](https://openocd.org/).

## What's working
* Startup: stack, .bss, and .data initialization, minimal vector table (replaced by `interrupt.zig`)
* GPIO
* Interrupt handling
* SysTick timer

